Skip to navigation
EndpointSet SMS quota

Set SMS quota

At any time, a new SMS quota can be set for an endpoint. At an initial state when no SMS quota is set, the endpoint will be denied from using SMS services. To top-up the SMS volume one need to retrieve the currently left volume, increase it by the top-up volume and set it as the new quota volume.

The following parameters can be configured:

  • status - The status of the quota (mandatory):
    • 1: ACTIVE
    • 2: EXHAUSTED
    • 3: EXPIRED
  • volume: The volume left on this quota in MB
  • expiry_date: Timestamp when this quota will expire and the endpoint will definitely be denied from using further data services (mandatory)
  • auto_refill: Wether the quota shall be refilled on a daily basis (defaults to disabled):
    • 0: disabled
    • 1: enabled
  • threshold_percentage: The percentage of remaining quota at which the system should generate a threshold reached event
  • action_on_exhaustion: The behaviour of the system after the quota is exhausted:
    • id: ID of the action on quota exhaustion (mandatory)
      • 1: Block
      • 2: Throttle (will not take any effect on SMS quota)
    • peak_throughput: The maximum bandwidth in octets per second after the endpoint has been throttled. Allowed values are 64000, 128000, 256000, 384000. (will not take any effect on SMS quota)

The endpoint can instantly use the SMS service after the API call is successfully made. Any timestamp with a future date can be set, this allows to create SMS packages (e.g. for 1 hour, 24 hour, 7 days or any other timeframe) as required.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

endpoint_idintegerRequired
Numeric ID of an endpoint

Request

This endpoint expects an object.
volumedoubleRequired
expiry_datestringRequiredformat: "date-time"
threshold_percentagedoubleRequired
statusobjectRequired
last_volume_addeddoubleOptional
last_status_change_datestring or nullOptionalformat: "date-time"
auto_refillbooleanOptional
threshold_volumedoubleOptional
action_on_exhaustionobjectOptional

Response

Resource Created

Errors

403
Forbidden Error